import {
    block,
    Config,
    DataQueryFunction,
    DataQueryMethod,
    filter,
    sort,
} from 'ptnl-constructor-sdk/config';
import { ColumnType } from 'ptnl-constructor-sdk/data';
import { EBlockKey } from './enum';

export const config: Config = {
    label: {
        ru: 'Двойная круговая',
        en: 'Sunburst',
    },
    icon: 'assets/icon.svg',

    dataSettings: {
        method: DataQueryMethod.Aggregate,
 
        blocks: [
            block({
                key: EBlockKey.Series,
                dataQueryFunction: DataQueryFunction.Group,
                label: {
                    ru: 'Серия',
                    en: 'Series',
                },
                columnTypes: [ColumnType.String,ColumnType.Date,ColumnType.Number],
            }),
            block({
                key: EBlockKey.Value,
                dataQueryFunction: DataQueryFunction.Sum,
                label: {
                    ru: 'Значение',
                    en: 'Value',
                },
                columnTypes: [ColumnType.Number],
                max: 1,
            }),
            filter(),
            sort()
        ],
        validation: {
            requiredEvery: [EBlockKey.Series],
        },
    },
};
